unit ufrmMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBClient, StdCtrls, Grids, DBGrids;

type
  TfrmMain = class(TForm)
    btnRemplir: TButton;
    grdCarnet: TDBGrid;
    btnVoir: TButton;
    dsCarnet: TDataSource;
    btnEnregistrer: TButton;
    btnCharger: TButton;
    procedure btnRemplirClick(Sender: TObject);
    procedure btnVoirClick(Sender: TObject);
    procedure btnEnregistrerClick(Sender: TObject);
    procedure btnChargerClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmMain: TfrmMain;

implementation

uses udmMain;

{$R *.dfm}

procedure TfrmMain.btnChargerClick(Sender: TObject);
begin
  with TOpenDialog.Create( Application) do
  begin
    try
      if Execute then
      begin
        dmMain.Carnet.LoadFromFile( FileName);
        dmMain.Carnet.Open;
        grdCarnet.DataSource := dsCarnet;
      end;
    finally
      Free;
    end;
  end;
end;

procedure TfrmMain.btnEnregistrerClick(Sender: TObject);
begin
  with TSaveDialog.Create( Application) do
  begin
    try
      if Execute then
        dmMain.Carnet.SaveToFile( FileName, dfXML);
    finally
      Free;
    end;
  end;
end;

procedure TfrmMain.btnRemplirClick(Sender: TObject);
begin
  dmMain.AjouterEnregistrement( 'Kifoui', 'Yamamoto', 'yamamoto@kifoui.com');
  dmMain.AjouterEnregistrement( 'Bertrand', 'Labevue', 'bertrand@labevue.com');
end;

procedure TfrmMain.btnVoirClick(Sender: TObject);
begin
  grdCarnet.DataSource := dsCarnet;
end;

end.
